> For the complete documentation index, see [llms.txt](https://developers.tiqets.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.tiqets.dev/basics/handling-sale-status-changes.md).

# Handling Sale Status Changes

{% hint style="info" %}

#### Article Scope <a href="#pro-tip-be-notified" id="pro-tip-be-notified"></a>

There are 2 main ways to discover that a product has become unavailable:

1. By subscribing to [Product Change Notifications](https://developers.tiqets.dev/integration-guides/webhooks/deprecated-product-change-notifications-managing-sale-status-updates.md)
2. By periodically querying the /v2/products endpoint for all products you're interested in.

This article documents the 2nd approach.
{% endhint %}

Products can become unavailable on Tiqets.com. The API returns 2 different statuses indicating whether the product is temporarily or long-term unavailable.

#### Temporarily Unavailable: Sales Stopped <a href="#temporarily-unavailable-sales-disabled" id="temporarily-unavailable-sales-disabled"></a>

Products can be temporarily unavailable, e.g. if the product is seasonal or if there are technical issues.

If this is the case, the Content API returns `sale_status` field as `unavailable` and the `sale_status_reason` and `sale_status_expected_reopen` fields contain additional information. The Availability endpoint returns `sales_enabled` as `false` and there is no availability and pricing information.

If a product is returning this status, it is not necessary to periodically retrieve availability information. If the product is unavailable due to technical reasons, it typically does not take long until the product becomes available again. We recommend checking the product status several times a day. If any other reason is returned, it is sufficient to check the product status once per day if no expected reopening dates is given.

#### Long-term Unavailable: Product Unpublished <a href="#long-term-unavailable-product-not-found" id="long-term-unavailable-product-not-found"></a>

Products can be long-term unavailable, e.g. if a venue permanently closes down or ends the partnership with Tiqets.

If this is the case, all requests to the Content and Availability & Pricing API for the affected product ID will return a 404 status with the `message` `"The requested resource was not found."`.

If the Content or Availability & Pricing API returns a 404 status for a certain product ID, please deactivate this product on your system and make sure it is removed from your website/app and you stop sending any API requests for this product. The product may or may not become available at any time. If it is available again it will be returned by the Content API search and can be re-activated on your system.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.tiqets.dev/basics/handling-sale-status-changes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
